## qt6-wayland 6.8.2

=== tests/manual/qt-shell/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.14)
project(qt-shell LANGUAGES CXX)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

find_package(Qt6 COMPONENTS Core)
find_package(Qt6 COMPONENTS Gui)
find_package(Qt6 COMPONENTS Qml)

qt_add_executable(qt-shell
    main.cpp
)
set_target_properties(qt-shell PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)
target_link_libraries(qt-shell PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Qml
)


# Resources:
set(qt-shell_resource_files
    "images/background.jpg"
    "qml/Chrome.qml"
    "qml/HandleHandler.qml"
    "qml/CompositorScreen.qml"
    "qml/Keyboard.qml"
    "qml/main.qml"
)

qt6_add_resources(qt-shell "qt-shell"
    PREFIX
        "/"
    FILES
        ${qt-shell_resource_files}
)

=== tests/manual/scaling-compositor/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from scaling-compositor.pro.

#####################################################################
## scaling-compositor Binary:
#####################################################################

qt_internal_add_manual_test(scaling-compositor
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Gui
        Qt::Qml
)

# Resources:
set(qml_resource_files
    "main.qml"
)

qt_internal_add_resource(scaling-compositor "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)


#### Keys ignored in scope 1:.:.:scaling-compositor.pro:<TRUE>:
# TEMPLATE = "app"

=== src/hardwareintegration/compositor/wayland-egl/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## WaylandEglCompositorHwIntegrationPrivate Module:
#####################################################################
qt_find_package(EGL) # special case

qt_internal_add_module(WaylandEglCompositorHwIntegrationPrivate
    CONFIG_MODULE_NAME wayland_egl_compositor_hw_integration
    INTERNAL_MODULE
    SOURCES
        waylandeglclientbufferintegration.cpp waylandeglclientbufferintegration_p.h
    INCLUDE_DIRECTORIES
        ${CMAKE_CURRENT_SOURCE_DIR}
    LIBRARIES
        EGL::EGL
        Wayland::Egl
        Wayland::Server
    PUBLIC_LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::WaylandCompositorPrivate
    NO_GENERATE_CPP_EXPORTS
)

qt_internal_extend_target(WaylandEglCompositorHwIntegrationPrivate CONDITION NOT QT_FEATURE_egl_x11
    DEFINES
        QT_EGL_NO_X11
)

=== src/plugins/shellintegration/fullscreen-shell-v1/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from fullscreen-shell-v1.pro.

#####################################################################
## QWaylandFullScreenShellV1IntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWaylandFullScreenShellV1IntegrationPlugin
    OUTPUT_NAME fullscreen-shell-v1
    PLUGIN_TYPE wayland-shell-integration
    SOURCES
        main.cpp
        qwaylandfullscreenshellv1integration.cpp qwaylandfullscreenshellv1integration.h
        qwaylandfullscreenshellv1surface.cpp qwaylandfullscreenshellv1surface.h
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::GuiPrivate
        Qt::WaylandClientPrivate
        Wayland::Client
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
    ATTRIBUTION_FILE_DIR_PATHS
        ../../../3rdparty/protocol/fullscreen-shell
)

qt6_generate_wayland_protocol_client_sources(QWaylandFullScreenShellV1IntegrationPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../3rdparty/protocol/fullscreen-shell/fullscreen-shell-unstable-v1.xml
)

#### Keys ignored in scope 1:.:.:fullscreen-shell-v1.pro:<TRUE>:
# OTHER_FILES = "fullscreen-shell-v1.json"

=== src/plugins/shellintegration/qt-shell/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QWaylandQtShellIntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWaylandQtShellIntegrationPlugin
    OUTPUT_NAME qt-shell
    PLUGIN_TYPE wayland-shell-integration
    SOURCES
        main.cpp
        qwaylandqtshellintegration.cpp qwaylandqtshellintegration.h
        qwaylandqtsurface.cpp qwaylandqtsurface_p.h
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::GuiPrivate
        Qt::WaylandClientPrivate
        Wayland::Client
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
)

qt6_generate_wayland_protocol_client_sources(QWaylandQtShellIntegrationPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../extensions/qt-shell-unstable-v1.xml
)

## Scopes:
#####################################################################

qt_internal_extend_target(QWaylandQtShellIntegrationPlugin CONDITION QT_FEATURE_xkbcommon
    LIBRARIES
        XKB::XKB
)

=== src/plugins/hardwareintegration/client/dmabuf-server/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from dmabuf-server.pro.

#####################################################################
## DmaBufServerBufferPlugin Plugin:
#####################################################################

qt_internal_add_plugin(DmaBufServerBufferPlugin
    OUTPUT_NAME dmabuf-server
    PLUGIN_TYPE wayland-graphics-integration-client
    SOURCES
        ../../../../hardwareintegration/client/dmabuf-server/dmabufserverbufferintegration.cpp ../../../../hardwareintegration/client/dmabuf-server/dmabufserverbufferintegration.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../hardwareintegration/client/dmabuf-server
    LIBRARIES
        EGL::EGL
        Qt::Core
        Qt::Gui
        Qt::OpenGL
        Qt::WaylandClientPrivate
        Wayland::Client
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
)

qt6_generate_wayland_protocol_client_sources(DmaBufServerBufferPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../hardwareintegration/client/dmabuf-server/../../../extensions/qt-dmabuf-server-buffer.xml
)

#### Keys ignored in scope 1:.:.:dmabuf-server.pro:<TRUE>:
# OTHER_FILES = "dmabuf-server.json"
# QMAKE_CXXFLAGS_WARN_ON = "--Wcast-qual"

=== src/plugins/hardwareintegration/client/shm-emulation-server/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from shm-emulation-server.pro.

#####################################################################
## ShmServerBufferPlugin Plugin:
#####################################################################

qt_internal_add_plugin(ShmServerBufferPlugin
    OUTPUT_NAME shm-emulation-server
    PLUGIN_TYPE wayland-graphics-integration-client
    SOURCES
        ../../../../hardwareintegration/client/shm-emulation-server/shmserverbufferintegration.cpp ../../../../hardwareintegration/client/shm-emulation-server/shmserverbufferintegration.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../hardwareintegration/client/shm-emulation-server
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::OpenGL
        Qt::WaylandClientPrivate
        Wayland::Client
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
)

qt6_generate_wayland_protocol_client_sources(ShmServerBufferPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../hardwareintegration/client/shm-emulation-server/../../../extensions/shm-emulation-server-buffer.xml
)

#### Keys ignored in scope 1:.:.:shm-emulation-server.pro:<TRUE>:
# OTHER_FILES = "shm-emulation-server.json"
# QMAKE_CXXFLAGS_WARN_ON = "--Wcast-qual"

=== src/plugins/hardwareintegration/compositor/drm-egl-server/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from drm-egl-server.pro.

#####################################################################
## DrmEglServerBufferIntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(DrmEglServerBufferIntegrationPlugin
    OUTPUT_NAME qt-wayland-compositor-drm-egl-server-buffer
    PLUGIN_TYPE wayland-graphics-integration-server
    SOURCES
        ../../../../hardwareintegration/compositor/drm-egl-server/drmeglserverbufferintegration.cpp ../../../../hardwareintegration/compositor/drm-egl-server/drmeglserverbufferintegration.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../hardwareintegration/compositor/drm-egl-server
    LIBRARIES
        EGL::EGL
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::WaylandCompositor
        Qt::WaylandCompositorPrivate
        Wayland::Server
)

qt6_generate_wayland_protocol_server_sources(DrmEglServerBufferIntegrationPlugin
    PRIVATE_CODE
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../extensions/drm-egl-server-buffer.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../extensions/server-buffer-extension.xml
)

#### Keys ignored in scope 1:.:.:drm-egl-server.pro:<TRUE>:
# OTHER_FILES = "drm-egl-server.json"

=== debian/changelog ===
qt6-wayland (6.8.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Backport patch to use the same pointing device for releasing as all
    other events, fixes QTBUG-127821.
  * Bump Standards-Version to 4.7.2 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 01 Apr 2025 00:13:46 +0200

qt6-wayland (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 13:28:00 +0100

qt6-wayland (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 21:29:54 +0100

qt6-wayland (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Remove patches that have been applied upstream.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Feb 2025 23:52:19 +0100

=== debian/control ===
Source: qt6-wayland
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.24~),
               libdrm-dev,
               libegl1-mesa-dev,
               libfontconfig-dev,
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libwayland-dev (>= 1.8.0),
               libxcomposite-dev,
               libxkbcommon-dev (>= 0.2.0),
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.2+dfsg~),
               qt6-base-private-dev (>= 6.8.2+dfsg~),
               qt6-declarative-dev (>= 6.8.2+dfsg~),
               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
               qt6-svg-dev (>= 6.8.2~),
               qt6-wayland-dev:native <cross>,
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
Rules-Requires-Root: no

Package: libqt6waylandclient6
Architecture: any
Multi-Arch: same
Provides: qt6-waylandclient-private-abi (= 6.8.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Client library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Client library.

Package: libqt6waylandcompositor6
Architecture: any
Multi-Arch: same
Provides: qt6-waylandcompositor-private-abi (= 6.8.2),
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor library.

Package: libqt6waylandcompositoriviapplication6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor Ivi Application library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor Ivi Application library.

Package: libqt6waylandcompositorpresentationtime6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor Presentation Time library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor Presentation Time library.

Package: libqt6waylandcompositorwlshell6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor WlShell library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor WlShell library.

Package: libqt6waylandcompositorxdgshell6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor XdgShell library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland Compositor XdgShell library.

Package: libqt6wlshellintegration6
Architecture: any
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Wayland ShellIntegration library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the Qt 6 Wayland ShellIntegration library.

Package: qml6-module-qtwayland-compositor
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Compositor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 The Qt Wayland Compositor modules provide QML types that can be used to
 create custom display servers supporting the Wayland protocol.

Package: qml6-module-qtwayland-client-texturesharing
Multi-Arch: same
Architecture: any
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland Shared Texture Provider QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This module allows Qt Wayland clients to use graphical resources exported
 by the compositor, without allocating any graphics memory in the client.

Package: qt6-wayland
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libqt6waylandeglclienthwintegration6,
        libqt6waylandeglcompositorhwintegration6,
Replaces: libqt6waylandeglclienthwintegration6,
          libqt6waylandeglcompositorhwintegration6,
Description: Qt 6 Wayland platform plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland platform plugin, which allows users
 to run Qt 6 applications under Wayland, and the qtwaylandscanner
 binary.

Package: qt6-wayland-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libqt6waylandclient6 (= ${binary:Version}),
         libqt6waylandcompositor6 (= ${binary:Version}),
         libqt6waylandcompositoriviapplication6 (= ${binary:Version}),
         libqt6waylandcompositorpresentationtime6 (= ${binary:Version}),
         libqt6waylandcompositorwlshell6 (= ${binary:Version}),
         libqt6waylandcompositorxdgshell6 (= ${binary:Version}),
         libqt6wlshellintegration6 (= ${binary:Version}),
         libwayland-dev,
         qml6-module-qtwayland-client-texturesharing (= ${binary:Version}),
         qml6-module-qtwayland-compositor (= ${binary:Version}),
         qt6-wayland-dev-tools (= ${binary:Version}),
         ${misc:Depends},
Description: Qt 6 Wayland - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the development files for QtWayland client
 and compositor libraries.

Package: qt6-wayland-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-wayland-dev (= ${binary:Version}), ${misc:Depends},
Breaks: qt6-wayland-dev (<< 6.4.2-4),
Replaces: qt6-wayland-dev (<< 6.4.2-4),
Description: Qt 6 Wayland - private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the private header development files for
 QtWayland client and compositor libraries.
 .
 Use at your own risk.

Package: qt6-wayland-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Wayland developer tools
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 QtWayland is a Qt 6 module that wraps the functionality of Wayland.
 .
 This package contains the QtWayland developer tools.
 At the moment there is only qtwaylandscanner tool here.

Package: qt6-wayland-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 wayland documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 wayland.

Package: qt6-wayland-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 wayland HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 wayland.

Package: qt6-wayland-examples
Architecture: any
Multi-Arch: same
Section: misc
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 wayland examples
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the examples for the Qt wayland submodule.

## qt6-wayland 6.8.3

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

if(TARGET Qt::WaylandClient)
    add_subdirectory(qmlclient)
    add_subdirectory(subsurface)
    add_subdirectory(texture-sharing/cpp-client)
    add_subdirectory(texture-sharing-2)
endif()

if(TARGET Qt::WaylandCompositor)
    #add_subdirectory(wip-cpp-compositor)
    add_subdirectory(scaling-compositor)
    add_subdirectory(hwlayer-compositor)
endif()

if(QT_FEATURE_opengl AND TARGET Qt::Quick AND TARGET Qt::WaylandClient)
    add_subdirectory(server-buffer)
endif()

=== src/imports/texture-sharing/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from texture-sharing.pro.

#####################################################################
## qwaylandtexturesharing Plugin:
#####################################################################

qt_internal_add_qml_module(WaylandTextureSharing
    URI "QtWayland.Client.TextureSharing"
    VERSION "1.${PROJECT_VERSION_MINOR}"
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_PLUGIN_SOURCE
    NO_GENERATE_QMLTYPES
    PLUGIN_TARGET WaylandTextureSharing
    # no qmltypes file available, so nothing to install
    CLASS_NAME QWaylandTextureSharingPlugin
    SOURCES
        plugin.cpp
        sharedtextureprovider.cpp sharedtextureprovider_p.h
        texturesharingextension.cpp texturesharingextension_p.h
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::GuiPrivate
        Qt::OpenGL
        Qt::Qml
        Qt::QuickPrivate
        Qt::WaylandClient
        Qt::WaylandClientPrivate
    PRIVATE_HEADER_FILTERS
        "^qwayland-.*\.h|^wayland-.*-protocol\.h"
    NO_GENERATE_CPP_EXPORTS
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
)

qt6_generate_wayland_protocol_client_sources(WaylandTextureSharing
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../extensions/qt-texture-sharing-unstable-v1.xml
)

qt_internal_add_autogen_sync_header_dependencies(WaylandTextureSharing WaylandCompositor)

#### Keys ignored in scope 1:.:.:texture-sharing.pro:<TRUE>:
# CXX_MODULE = "qml"
# IMPORT_VERSION = "1.$$QT_MINOR_VERSION"
# TARGETPATH = "QtWayland/Client/TextureSharing"

=== src/plugins/decorations/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from decorations.pro.
if (QT_FEATURE_wayland_decoration_adwaita)
    add_subdirectory(adwaita)
endif()

add_subdirectory(bradient)

=== tests/manual/import-qml-modules/CMakeLists.txt ===
# Copyright (C) 2024 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

project(import_wayland_qml_modules VERSION 0.1 LANGUAGES CXX)

set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(Qt6 6.4 REQUIRED
    COMPONENTS
        Quick
        WaylandCompositor
        WaylandCompositorIviapplication
        WaylandCompositorPresentationTime
        WaylandCompositorWLShell
        WaylandCompositorXdgShell
)

qt_standard_project_setup()

qt_add_qml_module(import_wayland_qml_modules
    URI Qml
    QML_FILES Main.qml
)

=== src/plugins/hardwareintegration/client/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from client.pro.

if(QT_FEATURE_wayland_egl)
    add_subdirectory(wayland-egl)
endif()
if(QT_FEATURE_wayland_brcm)
    add_subdirectory(brcm-egl)
endif()
if(QT_FEATURE_wayland_drm_egl_server_buffer)
    add_subdirectory(drm-egl-server)
endif()
if(QT_FEATURE_wayland_libhybris_egl_server_buffer)
    add_subdirectory(libhybris-egl-server)
endif()
if(QT_FEATURE_wayland_shm_emulation_server_buffer)
    add_subdirectory(shm-emulation-server)
endif()
if(QT_FEATURE_wayland_dmabuf_server_buffer)
    add_subdirectory(dmabuf-server)
endif()
if(QT_FEATURE_wayland_vulkan_server_buffer)
    add_subdirectory(vulkan-server)
endif()

=== src/plugins/hardwareintegration/compositor/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from compositor.pro.

add_subdirectory(hardwarelayer)
if(QT_FEATURE_wayland_dmabuf_client_buffer)
    add_subdirectory(linux-dmabuf-unstable-v1)
endif()
if(QT_FEATURE_wayland_egl)
    add_subdirectory(wayland-egl)
    add_subdirectory(wayland-eglstream-controller)
endif()
if(QT_FEATURE_wayland_brcm)
    add_subdirectory(brcm-egl)
endif()
if(QT_FEATURE_wayland_drm_egl_server_buffer)
    add_subdirectory(drm-egl-server)
endif()
if(QT_FEATURE_wayland_libhybris_egl_server_buffer)
    add_subdirectory(libhybris-egl-server)
endif()
if(QT_FEATURE_wayland_shm_emulation_server_buffer)
    add_subdirectory(shm-emulation-server)
endif()
if(QT_FEATURE_wayland_dmabuf_server_buffer)
    add_subdirectory(dmabuf-server)
endif()
if(QT_FEATURE_wayland_vulkan_server_buffer)
    add_subdirectory(vulkan-server)
endif()

=== src/plugins/platforms/qwayland-brcm-egl/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qwayland-brcm-egl.pro.

#####################################################################
## QWaylandBrcmEglPlatformIntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWaylandBrcmEglPlatformIntegrationPlugin
    OUTPUT_NAME qwayland-brcm-egl
    PLUGIN_TYPE platforms
    SOURCES
        ../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglintegration.cpp ../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglintegration.h
        ../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglwindow.cpp ../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglwindow.h
        ../../../hardwareintegration/client/brcm-egl/qwaylandbrcmglcontext.cpp ../../../hardwareintegration/client/brcm-egl/qwaylandbrcmglcontext.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../hardwareintegration/client/brcm-egl
    PUBLIC_LIBRARIES
        ${CMAKE_DL_LIBS}
        EGL::EGL
        Qt::Core
        Qt::Gui
        Qt::WaylandClientPrivate
        Wayland::Client
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
)

qt6_generate_wayland_protocol_client_sources(QWaylandBrcmEglPlatformIntegrationPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../hardwareintegration/client/brcm-egl/../../../extensions/brcm.xml
)

#### Keys ignored in scope 1:.:.:qwayland-brcm-egl.pro:<TRUE>:
# OTHER_FILES = "qwayland-brcm-egl.json"

=== src/plugins/shellintegration/ivi-shell/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from ivi-shell.pro.

#####################################################################
## QWaylandIviShellIntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWaylandIviShellIntegrationPlugin
    OUTPUT_NAME ivi-shell
    PLUGIN_TYPE wayland-shell-integration
    SOURCES
        main.cpp
        qwaylandivishellintegration.cpp qwaylandivishellintegration.h
        qwaylandivisurface.cpp qwaylandivisurface_p.h
    LIBRARIES
        Qt::Core
        Qt::Gui
        Qt::GuiPrivate
        Qt::WaylandClientPrivate
        Wayland::Client
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
    ATTRIBUTION_FILE_DIR_PATHS
        ../../../3rdparty/protocol/ivi
)

qt6_generate_wayland_protocol_client_sources(QWaylandIviShellIntegrationPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../3rdparty/protocol/ivi/ivi-application.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../3rdparty/protocol/ivi/ivi-controller.xml
)

#### Keys ignored in scope 1:.:.:ivi-shell.pro:<TRUE>:
# OTHER_FILES = "ivi-shell.json"

## Scopes:
#####################################################################

qt_internal_extend_target(QWaylandIviShellIntegrationPlugin CONDITION QT_FEATURE_xkbcommon
    LIBRARIES
        XKB::XKB
)

=== tests/manual/server-buffer/cpp-client/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(server-buffer-cpp-client)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}/wayland/server-buffer/cpp-client")

find_package(Qt6 REQUIRED COMPONENTS Core Gui OpenGL WaylandClient)

qt_add_executable(server-buffer-cpp-client
    main.cpp
    sharebufferextension.cpp sharebufferextension.h
)

qt6_generate_wayland_protocol_client_sources(server-buffer-cpp-client
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../share-buffer.xml
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/extensions/server-buffer-extension.xml
)

set_target_properties(server-buffer-cpp-client PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(server-buffer-cpp-client PUBLIC
    Qt::Core
    Qt::Gui
    Qt::GuiPrivate
    Qt::OpenGL
    Qt::WaylandClientPrivate
)

install(TARGETS server-buffer-cpp-client
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== src/plugins/hardwareintegration/client/brcm-egl/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from brcm-egl.pro.

#####################################################################
## QWaylandBrcmEglClientBufferPlugin Plugin:
#####################################################################

qt_internal_add_plugin(QWaylandBrcmEglClientBufferPlugin
    OUTPUT_NAME brcm-egl
    PLUGIN_TYPE wayland-graphics-integration-client
    SOURCES
        ../../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglintegration.cpp ../../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglintegration.h
        ../../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglwindow.cpp ../../../../hardwareintegration/client/brcm-egl/qwaylandbrcmeglwindow.h
        ../../../../hardwareintegration/client/brcm-egl/qwaylandbrcmglcontext.cpp ../../../../hardwareintegration/client/brcm-egl/qwaylandbrcmglcontext.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../hardwareintegration/client/brcm-egl
    PUBLIC_LIBRARIES
        ${CMAKE_DL_LIBS}
        EGL::EGL
        Qt::Core
        Qt::Gui
        Qt::WaylandClientPrivate
        Wayland::Client
    QT_LICENSE_ID QT_COMMERCIAL_OR_LGPL3
)

qt6_generate_wayland_protocol_client_sources(QWaylandBrcmEglClientBufferPlugin
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/../../../../hardwareintegration/client/brcm-egl/../../../extensions/brcm.xml
)

#### Keys ignored in scope 1:.:.:brcm-egl.pro:<TRUE>:
# OTHER_FILES = "brcm-egl.json"

=== src/plugins/hardwareintegration/compositor/hardwarelayer/vsp2/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from vsp2.pro.

#####################################################################
## Vsp2HardwareLayerIntegrationPlugin Plugin:
#####################################################################

qt_internal_add_plugin(Vsp2HardwareLayerIntegrationPlugin
    OUTPUT_NAME qt-wayland-compositor-vsp2
    PLUGIN_TYPE wayland-hardware-layer-integration
    SOURCES
        ../../../../../hardwareintegration/compositor/hardwarelayer/vsp2/vsp2hardwarelayerintegration.cpp ../../../../../hardwareintegration/compositor/hardwarelayer/vsp2/vsp2hardwarelayerintegration.h
        main.cpp
    INCLUDE_DIRECTORIES
        ../../../../../hardwareintegration/compositor/hardwarelayer/vsp2
    LIBRARIES
        PkgConfig::Waylandkms
        Wayland::Server
    PUBLIC_LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::WaylandCompositor
        Qt::WaylandCompositorPrivate
)

#### Keys ignored in scope 1:.:.:vsp2.pro:<TRUE>:
# OTHER_FILES = "vsp2.json"

=== debian/changelog ===
qt6-wayland (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:24:52 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-wayland
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
            Lu YaNing <dluyaning@gmail.com>,
            Simon Quigley <tsimonq2@debian.org>,
@@ -21,18 +22,18 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-svg-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-svg-dev (>= 6.8.3~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -41,7 +42,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.8.2),
+Provides: qt6-waylandclient-private-abi (= 6.8.3),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -54,7 +55,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.8.2),
+Provides: qt6-waylandcompositor-private-abi (= 6.8.3),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	extra_cmake_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_BUILD_MULTIARCH}/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-wayland 6.9.1

=== debian/changelog ===
qt6-wayland (6.9.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Do not use ccache on hurd.
  * Replace QT_BUILD_TOOLS_WHEN_CROSSCOMPILING with QT_FORCE_BUILD_TOOLS
    for cross-builds.
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Mon, 25 Aug 2025 22:31:01 +0200

qt6-wayland (6.9.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Remove patches that have been applied upstream.
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update ABI to 6.9.1.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Jul 2025 14:24:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: qt6-wayland
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-           Lu YaNing <dluyaning@gmail.com>,
            Simon Quigley <tsimonq2@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               ccache [linux-any],
                cmake (>= 3.24~),
                libdrm-dev,
                libegl1-mesa-dev,
@@ -22,18 +21,18 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.3+dfsg~),
-               qt6-base-private-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-dev (>= 6.8.3+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
-               qt6-svg-dev (>= 6.8.3~),
+               qt6-base-dev (>= 6.9.1+dfsg~),
+               qt6-base-private-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-dev (>= 6.9.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.1+dfsg~),
+               qt6-svg-dev (>= 6.9.1~),
                qt6-wayland-dev:native <cross>,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Build-Depends-Indep: qt6-base-dev (>= 6.9~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.9~) <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-wayland.git
@@ -42,7 +41,7 @@
 Package: libqt6waylandclient6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandclient-private-abi (= 6.8.3),
+Provides: qt6-waylandclient-private-abi (= 6.9.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Client library
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -55,7 +54,7 @@
 Package: libqt6waylandcompositor6
 Architecture: any
 Multi-Arch: same
-Provides: qt6-waylandcompositor-private-abi (= 6.8.3),
+Provides: qt6-waylandcompositor-private-abi (= 6.9.1),
 Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Wayland Compositor library
  Qt is a cross-platform C++ application framework. Qt's primary feature
